function linkEdition(linkId)
{
    getE('id').value = linkId;
    getE('url').value = links[linkId][0];
    getE('newWindow').checked = links[linkId][1];
    var beg = parseInt(getE('languageFirst').value);
    for (var i = 0; i <= parseInt(getE('languageNb').value - 1); i++)
        getE('textInput_'+ (beg + i)).value = links[linkId][i + 2];
    getE('submitLinkUpdate').disabled = '';
    getE('submitLinkUpdate').setAttribute('class', 'button');
    /* ##### IE */
    getE('submitLinkUpdate').setAttribute('className', 'button');
}

function linkDeletion(linkId)
{
    document.location.replace(currentUrl+'&id='+linkId+'&token='+token);
}

function cargarSubcategorias(idCategoria, idIdioma, borrarAnterior)
{
    $.ajax({
        type: "POST",
        url: "../modules/massivediscount/procesarRespuesta.php",
        data: "categoria="+idCategoria+"&idIdioma="+idIdioma+"&action=add",
        success: function(msg){
            procesarCargarSubcategorias( msg, idIdioma, borrarAnterior );
        }
    });
}


function procesarCargarSubcategorias(msg, idIdioma, borrarAnterior) {
    if (borrarAnterior == 1) {
        $('#subCategoriaList').empty();
    }
    var datos = jQuery.parseJSON(msg);
    var categorias = datos.categorias;
    var productos = datos.productos;
    if (!categorias.codError && categorias.codError != 1) {
        $.each(categorias, function(index, valueCategoria) {
            // alert(valueCategoria.id_category + "---" + valueCategoria.name);
            crearSubcategoria(valueCategoria.id_category, valueCategoria.name, borrarAnterior, idIdioma);
        });
    }
    if (!productos.codError && productos.codError != 1) {
        $('#productoList').empty();
        $.each(productos, function (index, valueProducto) {
            //alert(valueProducto.id_product + "---" +  valueProducto.price  + "---" +  valueProducto.name);
            crearProducto(valueProducto.id_product, valueProducto.price, valueProducto.name);
        })
    }

}

function crearSubcategoria(idSubcategoria, nombreSubcategoria,borrarAnterior, idIdioma ) {
    var listaSubCategoria = $(document.createElement('li'), {
        });
    $('#subCategoriaList').append(listaSubCategoria);
    var labelSubCategoria = $(document.createElement('label')).text(nombreSubcategoria).attr('onClick','cargarSubcategorias('+idSubcategoria+',' + idIdioma+', 0)').appendTo(listaSubCategoria);
    var selectSubcategoria = $(document.createElement('select')).attr('id','select_'+idSubcategoria);
    selectSubcategoria.append('<option value="0">-</select>');
    selectSubcategoria.append('<option value="1">+</select>');
    $(listaSubCategoria).append(selectSubcategoria);
    var inputSubCategoria = $(document.createElement('input')).attr('id',idSubcategoria).attr('onBlur','actualizarPrecioCategoria('+ idSubcategoria+')').appendTo(listaSubCategoria);
    var spanSubCategoria = $(document.createElement('span')).text('%').attr('class','porcentaje').appendTo(listaSubCategoria);

}

function crearProducto(id_product, price, name) {
    var listaProducto = $(document.createElement('li'), {
        });
    $('#productoList').append(listaProducto);
    var labelProducto = $(document.createElement('label')).text(name).appendTo(listaProducto);
    var inputProducto = $(document.createElement('input')).attr('id','producto_'+id_product).attr('onBlur','actualizarPrecioProducto('+ id_product+')').val(price).appendTo(listaProducto);

}

function actualizarPrecioCategoria(idCategoria) {
    var tipo =  $('#select_'+idCategoria).val();
    var idIdioma = $('#idioma').val();
    var valor = $('#'+idCategoria).val();
    var idUsuario = $('#idUsuario').val();
    if (valor != "") {
       
   
        valor = parseFloat(valor.replace(",","."));
    
        if ((tipo == 0 && valor > 100) || valor < 0) {
            procesarActualizaciones('{"codError":1,"msgError":"El valor no puede ser mayor que 100 ni menor que 0"}');      
        }
        else {
            $.ajax({
                type: "POST",
                url: "../modules/massivediscount/procesarRespuesta.php",
                data: "categoria="+idCategoria+"&tipo=" + tipo + "&idIdioma="+idIdioma+"&valor="+valor+"&idUsuario="+idUsuario+"&action=updateCategoria",
                success: function(msg){
                    $('#'+idCategoria).val("");
                    procesarActualizaciones(msg);
                }
            });
        }
    }
}

function actualizarPrecioProducto(idProducto)
{
    var idIdioma = $('#idioma').val();
    var valor= $('#producto_'+idProducto).val();
    var idUsuario = $('#idUsuario').val();
    if (valor != "") {
        if (valor < 0){
            procesarActualizaciones('{"codError":1,"msgError":"El valor no puede ser negativo"}');
        }
        else {
            $.ajax({
                type: "POST",
                url: "../modules/massivediscount/procesarRespuesta.php",
                data: "producto="+idProducto+"&idIdioma="+idIdioma+"&valor="+valor+"&idUsuario="+idUsuario+"&action=updateProducto",
                success: function(msg){
                    procesarActualizaciones(msg);
                }
            });
        }
    }
}

function actualizarTodo()
{
    var tipo =  $('#selectAll').val();
    var idIdioma = $('#idioma').val();
    var valor = $('#updateAll').val();
    var idUsuario = $('#idUsuario').val();
    if (valor != "") {
        valor = parseFloat(valor.replace(",","."));
        if ((tipo == 0 && valor > 100 ) || (valor < 0)) {
            procesarActualizaciones('{"codError":1,"msgError":"El valor no puede ser mayor que 100 ni menor que 0"}');      
        }
        else {
            $.ajax({
                type: "POST",
                url: "../modules/massivediscount/procesarRespuesta.php",
                data: "tipo=" + tipo + "&idIdioma="+idIdioma+"&valor="+valor+"&idUsuario="+idUsuario+"&action=updateAll",
                success: function(msg){
                    procesarActualizaciones(msg);
                }
            });
        } 
    }
}

function procesarActualizaciones(msg)
{
    var datos = jQuery.parseJSON(msg);
    if (datos.codError == 0) {
        var imagenOK = $(document.createElement('img')).attr('src','../img/admin/ok.gif').appendTo($('#mostrarErrores'));
        $('#mostrarErrores').removeClass('error');
        $('#mostrarErrores').addClass('module_confirmation conf confirm');
        $('#mostrarErrores').text(datos.msgError);
    }
    else {
        $('#mostrarErrores').removeClass('conf');
        $('#mostrarErrores').addClass('module_confirmation error confirm');
        $('#mostrarErrores').text(datos.msgError);
    }
    $('#mostrarErrores').fadeIn(800).delay(1500).fadeOut(800);
}
