<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
require_once(dirname(__FILE__) . '/../../config/config.inc.php');
require_once(dirname(__FILE__) . '/../../init.php');
$action = Tools::getValue('action');
$idIdioma = (int) Tools::getValue('idIdioma');
$idUsuario = (int) Tools::getValue('idUsuario');
$respuesta['codError'] = 0;
$respuesta['msgError'] = "";
switch ($action) {
    case 'add':
        $idCategoria = (int) Tools::getValue('categoria');
        $start = 0;
        $limit = 10000;
        $orderBy = 'id_product';
        $orderWay = 'ASC';
        $categorias = Category::getChildren($idCategoria, $idIdioma, true);
        $productos = Product::getProducts($idIdioma, $start, $limit, $orderBy, $orderWay, $idCategoria, true);
        $respuesta = array();
        if (empty($categorias)) {
            $respuesta['categorias']['codError'] = 1;
        } else {
            foreach ($categorias as $campo => $valor) {
                $respuesta['categorias'][$campo] = $valor;
            }
        }
        if (empty($productos)) {
            $respuesta['productos']['codError'] = 1;
        } else {
            foreach ($productos as $campo => $valor) {
                $respuesta['productos'][$campo] = $valor;
            }
        }
        echo json_encode($respuesta);

        break;
    case 'updateCategoria':
        $idCategoria = (int) Tools::getValue('categoria');
        $tipo = (int) Tools::getValue('tipo');
        $idIdioma = (int) Tools::getValue('idIdioma');
        $valor = (float) Tools::getValue('valor');
        if ($tipo == 0)
            $precio = "price - ((price*" . $valor . ")/100)";
        if ($tipo == 1)
            $precio = "price*1." . $valor;
        $sql = "UPDATE " . _DB_PREFIX_ . "product
                SET price=" . $precio . "
                WHERE
                id_product IN
                (
                SELECT id_product
                FROM " . _DB_PREFIX_ . "category_product
                WHERE
                id_category=" . $idCategoria . ")";
        if (!Db::getInstance()->Execute($sql)) {
            $respuesta['codError'] = 1;
            $respuesta['msgError'] = "Error al actualizar la categoria";
        } else {
            $respuesta['codError'] = 0;
            $respuesta['msgError'] = "Actualizacion correcta";
            //Grabar log actualizacion
            logActualizarCategoria($idCategoria,$idUsuario,1,$tipo, $valor);
        }
        echo json_encode($respuesta);
        break;
    case 'updateProducto':
        $idProducto = (int) Tools::getValue('producto');
        $idIdioma = (int) Tools::getValue('idIdioma');
        $valor = (float) Tools::getValue('valor');
        $sqlPrecioAntiguo = "SELECT price  FROM ". _DB_PREFIX_ . "product WHERE id_product=".$idProducto;
        $precioAntiguo = Db::getInstance()->getValue($sqlPrecioAntiguo);
        $sql = "UPDATE " . _DB_PREFIX_ . "product
                SET price=" . $valor . "
                WHERE
                id_product=" . $idProducto;
        if (!Db::getInstance()->Execute($sql)) {
            $respuesta['codError'] = 1;
            $respuesta['msgError'] = "Error al actualizar el producto";
        } else {
            $respuesta['codError'] = 0;
            $respuesta['msgError'] = "Actualizacion correcta";
            //Grabar log actualizacion
            logActualizarProducto($idProducto, $idUsuario, $precioAntiguo, $valor);
        }
        echo json_encode($respuesta);
        break;
    case 'updateAll':
        $idIdioma = (int) Tools::getValue('idIdioma');
         $tipo = (int) Tools::getValue('tipo');
        $valor = (float) Tools::getValue('valor');
        if ($tipo == 0)
            $precio = "price - ((price*" . $valor . ")/100)";
        if ($tipo == 1)
            $precio = "price*1." . $valor;
        $sql = "UPDATE " . _DB_PREFIX_ . "product
                SET price=" . $precio;
        if (!Db::getInstance()->Execute($sql)) {
            $respuesta['codError'] = 1;
            $respuesta['msgError'] = "Error al actualizar el producto";
        } else {
            $respuesta['codError'] = 0;
            $respuesta['msgError'] = "Actualizacion correcta";
            //Grabar log actualizacion
            logActualizarCategoria(0,$idUsuario,0,$tipo, $valor);
        }
        echo json_encode($respuesta);
        break;
    default:
        break;
}
function logActualizarCategoria($idCategoria, $idUsuario,$tipoElemento, $tipoActualizacion, $valor) {
    $fechaHoy = date("Y-m-d H:i:s");
    $sql = "INSERT INTO "._DB_PREFIX_."massiveDisccount
        (idUsuario, idElemento, tipoElemento, tipoActualizacion, valor, fecha)
        VALUES
        (".$idUsuario.",".$idCategoria.",".$tipoElemento.",".$tipoActualizacion.",".$valor.",'".$fechaHoy."')";
    Db::getInstance()->Execute($sql);
}
function logActualizarProducto($idProducto, $idUsuario, $precioAntiguo, $precioNuevo) {
    $fechaHoy = date("Y-m-d H:i:s");
    $sql = "INSERT INTO "._DB_PREFIX_."massiveDisccount_product
        (idUsuario, idProducto, precioAntiguo, precioNuevo, fecha)
        VALUES
        (".$idUsuario.",".$idProducto.",".$precioAntiguo.",".$precioNuevo.",'".$fechaHoy."')";
    Db::getInstance()->Execute($sql);
}
?>
